# high security encryption for connection between IDP and User Ws
# plz make sure that these algorithms are installed on you system
# - mcrypt is deprecated, please use openssl
# - multiple cyphers are supported at the same time for deployment without downtime
parameters:
  env(OPENSSL_IS_FALLBACK): true
  env(OPENSSL_CYPHER_NAME): 'AES-256-CBC'
  env(OPENSSL_CYPHER_NAME_1): 'AES-256-CBC'

life_style_tools_ciphering:
  openssl_is_fallback: '%env(OPENSSL_IS_FALLBACK)%'
  openssl_cypher_names: ['%env(OPENSSL_CYPHER_NAME)%', '%env(OPENSSL_CYPHER_NAME_1)%']
  mcrypt_cypher_name: 'MCRYPT_RIJNDAEL_256'
  mcrypt_mode_name: 'MCRYPT_MODE_CBC'
  mcrypt_additional_key: "%tools_ciphering.mcrypt_additional_key%" #at least length 64 chars

